查询销售出库单详情
POST
/basicOpen/wmsOrder/getWmsOrdersByOrderNumbers支持查询ERP中【仓库】>【销售出库单】数据,即自发货订单销售出库单
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/wmsOrder/getWmsOrdersByOrderNumbers | HTTPS | POST | 1 |
请求参数
isPrintCenterintegerorderNumbersstring请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/wmsOrder/getWmsOrdersByOrderNumbers?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"isPrintCenter": 1,
"orderNumbers": "103560730955456512,103560730955456513"
}'
返回结果
Json Object
codeinteger必填dataobject必填隐藏子属性
orderCountinteger必填orderListarray<object>必填隐藏子属性
actualCarrierstring必填amazonOrderIdstring必填autoCompleteinteger必填batchNostring必填companyIdinteger必填isAdvanceDeliveryinteger必填isCheckinteger必填isLockStorageinteger必填isOrderPrintinteger必填isSurfacePrintinteger必填isWeighinteger必填logisticsProviderNamestring必填logisticsTypeNamestring必填orderBuyerNotesstring必填orderCustomerServiceNotesstring必填orderFrominteger必填orderNumberstring必填orderTypeinteger必填platformCodeinteger必填productInfoarray<object>必填隐藏子属性
asinstring必填cnNamestring必填countinteger必填currencyCodestring必填enNamestring必填itemUnitPricestring必填picUrlstring必填productIdinteger必填productNamestring必填remarkstring必填sellerSkustring必填skustring必填titlestring必填unitPricestring必填whbInfoarray<object>必填隐藏子属性
productPickNuminteger必填whbCodestring必填wodIdinteger必填productListarray<object>必填隐藏子属性
cnNamestring必填enNamestring必填pickListarray<object>必填隐藏子属性
pickProductNamestring必填pickQuantityinteger必填pickSkustring必填pickWhbCodestring必填skustring必填whbListarray<object>必填隐藏子属性
productPickNuminteger必填whbIdinteger必填whbNamestring必填referenceNostring必填sidinteger必填siteCodestring必填statusinteger必填surfaceFileIdinteger必填surfacePdfstring必填trackingNostring必填warehouseTypeinteger必填waybillNostring必填widinteger必填woIdinteger必填woNumberstring必填zidinteger必填error_detailsarray<any>必填messagestring必填request_idstring必填response_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583.178.17255922733991817",
"response_time": "2024-11-12 16:00:00",
"data": {
"orderCount": 2,
"orderList": [
{
"actualCarrier": "顺丰快递",
"amazonOrderId": "40906",
"autoComplete": 0,
"batchNo": "BATCH001",
"companyId": 901157321452879900,
"isAdvanceDelivery": 0,
"isCheck": 0,
"isLockStorage": 1,
"isOrderPrint": 0,
"isSurfacePrint": 0,
"isWeigh": 0,
"logisticsProviderName": "自定义物流商",
"logisticsTypeName": "wjc自定义物流",
"orderBuyerNotes": "请尽快发货",
"orderCustomerServiceNotes": "已联系客户确认地址",
"orderFrom": 2,
"orderNumber": "103560730955456512",
"orderType": 3,
"platformCode": 10011,
"productInfo": [
{
"asin": "B08C1234RM",
"cnName": "测试测",
"count": 1,
"currencyCode": "$",
"enName": "ceshice",
"itemUnitPrice": "8.99",
"picUrl": "",
"productId": 1,
"productName": "123342",
"remark": "客户要求加急",
"sellerSku": "aa0001",
"sku": "12123",
"title": "Water Sports",
"unitPrice": "0.25",
"whbInfo": [
{
"productPickNum": 1,
"whbCode": "ts_valid"
}
],
"wodId": 2651
}
],
"productList": [
{
"cnName": "测试产品",
"enName": "Test Product",
"pickList": [
{
"pickProductName": "040906",
"pickQuantity": 2,
"pickSku": "040906",
"pickWhbCode": "可用暂存"
}
],
"sku": "040906",
"whbList": [
{
"productPickNum": 2,
"whbId": 26971,
"whbName": "可用暂存"
}
]
}
],
"referenceNo": "REF001",
"sid": 110470479434055680,
"siteCode": "US",
"status": 2,
"surfaceFileId": 1825,
"surfacePdf": "",
"trackingNo": "112",
"warehouseType": 1,
"waybillNo": "123",
"wid": 3262,
"woId": 126758,
"woNumber": "WO103560733392438272",
"zid": 1
},
{
"actualCarrier": "圆通快递",
"amazonOrderId": "40907",
"autoComplete": 1,
"batchNo": "BATCH002",
"companyId": 901157321452879900,
"isAdvanceDelivery": 0,
"isCheck": 1,
"isLockStorage": 1,
"isOrderPrint": 1,
"isSurfacePrint": 1,
"isWeigh": 1,
"logisticsProviderName": "自建物流",
"logisticsTypeName": "陆运",
"orderBuyerNotes": "请加急发货,谢谢",
"orderCustomerServiceNotes": "客户已更改地址",
"orderFrom": 1,
"orderNumber": "103643522853101719",
"orderType": 2,
"platformCode": 10012,
"productInfo": [
{
"asin": "B08C5678YZ",
"cnName": "耳机",
"count": 2,
"currencyCode": "$",
"enName": "Headphones",
"itemUnitPrice": "15.99",
"picUrl": "",
"productId": 2,
"productName": "无线耳机",
"remark": "轻拿轻放",
"sellerSku": "bb0002",
"sku": "45678",
"title": "Wireless Headphones",
"unitPrice": "0.50",
"whbInfo": [
{
"productPickNum": 2,
"whbCode": "whb_zone_a"
}
],
"wodId": 2652
},
{
"asin": "B08D9012AB",
"cnName": "手机壳",
"count": 1,
"currencyCode": "$",
"enName": "Phone Case",
"itemUnitPrice": "5.00",
"picUrl": "",
"productId": 3,
"productName": "iPhone保护壳",
"remark": "黑色款",
"sellerSku": "cc0003",
"sku": "90123",
"title": "iPhone Protective Case",
"unitPrice": "0.10",
"whbInfo": [
{
"productPickNum": 1,
"whbCode": "whb_zone_b"
}
],
"wodId": 2653
}
],
"productList": [
{
"cnName": "耳机",
"enName": "Headphones",
"pickList": [
{
"pickProductName": "耳机",
"pickQuantity": 2,
"pickSku": "45678",
"pickWhbCode": "A区货架"
}
],
"sku": "45678",
"whbList": [
{
"productPickNum": 2,
"whbId": 26972,
"whbName": "A区货架"
}
]
},
{
"cnName": "手机壳",
"enName": "Phone Case",
"pickList": [
{
"pickProductName": "手机壳",
"pickQuantity": 1,
"pickSku": "90123",
"pickWhbCode": "B区货架"
}
],
"sku": "90123",
"whbList": [
{
"productPickNum": 1,
"whbId": 26973,
"whbName": "B区货架"
}
]
}
],
"referenceNo": "REF002",
"sid": 110470479434055681,
"siteCode": "DE",
"status": 3,
"surfaceFileId": 1826,
"surfacePdf": "",
"trackingNo": "113",
"warehouseType": 1,
"waybillNo": "456",
"wid": 3263,
"woId": 126759,
"woNumber": "WO103643522853101719",
"zid": 1
}
],
"total": 2
}
}